Subject: Re: bug#77898: 31.0.50; arc-mode: Split PKZIP archive signature not recognized
From: Eli Zaretskii <[email-masked]>
To: Jens Schmidt <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Apr 2025 16:09:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 19 Apr 2025 21:08:21 +0200
> Cc: [email-masked]
> From: Jens Schmidt <[email-masked]>
> 
> On 2025-04-19  15:07, Eli Zaretskii wrote:
> 
> > Or even
> > 
> >     ;;    See APPNOTE.txt
> >     (cond ((looking-at "\\(?:PK\007\010\\|PK00\\)?[P]K\003\004") 'zip)
> 
> Thanks, I went for that.
> 
> Please find attached the next version of the patch.  I added tests not
> only for zip and split zip detection, but also for all archivers that
> follow the calling pattern
> 
>   ARCHIVER PARAMETER... ARCHIVE FILE...
> 
> and that I could easily install on my GNU/Linux system.  Which were
> surprisingly many.
> 
> Of course, such tests are highly OS-dependent any have the potential
> of causing a lot of failures, even though I tried to code them in a
> defensive manner.
> 
> WDYT?

LGTM, and the tests succeeded on my system, so I've now installed this
on master, and I'm closing the bug.